Bug 213006 - backlight adjustment and blanking no longer work
backlight adjustment and blanking no longer work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 10:33 EST by Rudi Chiarito
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 19:26:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rudi Chiarito 2006-10-30 10:33:30 EST
Description of problem:
Since updating my Dell E1505 from FC5+updates to FC6, I can't control the screen
brightness with the laptop's hotkeys and the screensaver no longer turns off the
backlight.

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2798.fc6

How reproducible:
Always

Steps to Reproduce:
1. Press system hotkeys to increase or decrease LCD brightness

Actual results:
Nothing happens.

Expected results:
The screen brightness varies. The backlight powers off after an extended
inactivity period.

Additional info:
Whenever I press a hotkey, the following ends up in syslog:

Oct 30 07:39:04 tako kernel: atkbd.c: Unknown key pressed (translated set 2, cod
e 0x85 on isa0060/serio0).
Oct 30 07:39:04 tako kernel: atkbd.c: Use 'setkeycodes e005 <keycode>' to make i
t known.
Oct 30 07:39:04 tako kernel: video device notify

Judging by the logs, the first two were already emitted under FC5, while the
third one is something new.

I can also manually change the brightness by fiddling with the file
/proc/acpi/video/VID/LCD/brightness

The contents are a bit strange:

# cat /proc/acpi/video/VID/LCD/brightness 
levels:  84 48 12 24 36 48 60 72 84 100
current: 84

those 84 and 48 at the beginning look out of place and that 100 at the end seems
to have no effect. The BIOS was recently updated to A09, maybe that could
explain the situation?
Comment 1 Jaroslaw Gorny 2006-10-31 17:25:03 EST
I can confirm that. The same hardware (Dell Inspiron E1505 Dual Core, Bios 
A09), the same kernel (2.6.18-1.2798.fc6, i686), the same behaviour.

as an addition, following lines apear in /var/log/acpid when I'm trying to 
change brightness:

[Tue Oct 31 23:06:10 2006] received event "video LCD 00000086 00000000"
[Tue Oct 31 23:06:10 2006] notifying client 2052[68:68]
[Tue Oct 31 23:06:10 2006] notifying client 2153[0:0]
[Tue Oct 31 23:06:10 2006] completed event "video LCD 00000086 00000000"
[Tue Oct 31 23:06:10 2006] received event "video LCD 00000086 00000000"
[Tue Oct 31 23:06:10 2006] notifying client 2052[68:68]
[Tue Oct 31 23:06:10 2006] notifying client 2153[0:0]
[Tue Oct 31 23:06:10 2006] completed event "video LCD 00000086 00000000"
Comment 2 Jaroslaw Gorny 2006-11-01 07:02:16 EST
Today I've investigated further. The problem exists also on:
kernel-smp-2.6.18-1.2200.fc5 (last FC5 kernel, but OS is still FC6)

Last kernel _without_ this bug is kernel-smp-2.6.17-1.2187_FC5 (tested on 
FC6).


Manually changing brightness by echoing values 
to /proc/acpi/video/VID/LCD/brightness works OK.
Comment 3 Jaroslaw Gorny 2006-11-07 08:30:55 EST
It seems like 'video' ACPI module is causing troubles. I don't know how to
really fix it, but:
<code>
echo "alias video off" > /etc/modprobe.conf
</code>
is a quick solution that works here.
Unfortunatelly, manually removing 'video' module on running system does not help
(modprobe removes it, however adjustment buttons don't work) - reboot is needed.

So, it seems to me like an upstream kernel issue.
Comment 4 Jon Stanley 2007-12-31 01:46:07 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 5 Jon Stanley 2008-01-07 19:26:47 EST
Closing per previous comment.  If you can provide the requested information,
please feel free to re-open this bug.
Comment 6 Jaroslaw Gorny 2008-01-09 16:41:27 EST
Tested on Fedora 8 - everything works as it should.

Note You need to log in before you can comment on or make changes to this bug.